nix3-hash-path(1)

Warning: This program is experimental and its interface is subject to change.

Name
nix hash path - print cryptographic hash of the NAR serialisation of a path

Synopsis
nix hash path [option…] paths…

Options

•   --base16
    Print the hash in base-16 format.

•   --base32
    Print the hash in base-32 (Nix-specific) format.

•   --base64
    Print the hash in base-64 format.

•   --sri
    Print the hash in SRI format.

•   --type hash-algo
    hash algorithm (‘md5’, ‘sha1’, ‘sha256’, or ‘sha512’)